export function getNodeType(node) {
  return node.getData('neo4jLabels')
    ? node.getData('neo4jLabels')[0]
    : 'unknown';
}

export function getTotalDemand(node) {
  return node.getAdjacentEdges({ direction: 'out' }).reduce(function (
    total,
    edge
  ) {
    return total + edge.getData('neo4jProperties.quantity');
  }, 0);
}

// Helper function to check if a node should pulse
// Nodes pulses if the total demand is higher than their stock
export function shouldPulse(node) {
  const totalDemand = getTotalDemand(node);
  return node.getData('neo4jProperties.stock') - totalDemand < 100;
}

export function groupEdges(edges) {
  return {
    data: {
      neo4jProperties: {
        quantity: edges.reduce(function (total, edge) {
          return total + edge.getData('neo4jProperties.quantity');
        }, 0)
      }
    }
  };
}
